Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.etee.commons.core.v1
Enum ETKUsageType

    java.lang.Object
      java.lang.Enum<ETKUsageType>
          be.fgov.ehealth.etee.commons.core.v1.ETKUsageType

All Implemented Interfaces:
  Serializable, Comparable<ETKUsageType>

    public enum ETKUsageType

extends Enum<ETKUsageType>

Java class for ETKUsageType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ETKUsageType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="TS"/>
         <enumeration value="COD"/>
         <enumeration value="CRN"/>
         <enumeration value="OTH"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`COD`
`CRN`
`OTH`
`TS`

Method Summary
`static ETKUsageType` | `fromValue(String v)`
`String` | `value()`
`static ETKUsageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ETKUsageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TS

    public static final ETKUsageType TS

### COD

    public static final ETKUsageType COD

### CRN

    public static final ETKUsageType CRN

### OTH

    public static final ETKUsageType OTH

Method Detail

### values

    public static ETKUsageType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ETKUsageType c : ETKUsageType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ETKUsageType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static ETKUsageType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.